- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyKeepAlive#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyKeepAlive#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyKeepAlive#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyKeepAlive#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyKeepAlive#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyKeepAlive#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyKeepAlive#body.aspect_1)

**Full name**: projects.locations.instances.legacyPublisher.legacyKeepAlive

Sends a heartbeat message from a remote agent to the SecOps instance. Use this method to maintain an active connection and report current agent status and version information.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPublisher:legacyKeepAlive`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The name of the parent resource, which is the SecOps instance of the legacy publisher. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "config": string, "deployment_type": string, "hostname": string, "integrations": string, "ip_address": string, "last_communication_time": string, "mac_address": string, "proxy_address": string, "remote_logging_level": integer, "siemplify_required_version": string, "version": string, "verify_ssl": boolean } ``` |

| Fields ||
|---|---|
| `config` | `string` Optional. The configuration of the remote agent. |
| `deployment_type` | `string` Required. The type of the deployment. (docker, installer) |
| `hostname` | `string` Required. The hostname of the remote agent. |
| `integrations` | `string` Required. The integrations of the remote agent. |
| `ip_address` | `string` Required. The ip address of the remote agent. |
| `last_communication_time` | `string` Required. The last communication time of the remote agent. |
| `mac_address` | `string` Required. The mac address of the remote agent. |
| `proxy_address` | `string` Optional. The proxy address of the remote agent. |
| `remote_logging_level` | `integer` Required. The remote logging level of the remote agent. |
| `siemplify_required_version` | `string` Required. The required version of the remote agent. |
| `version` | `string` Required. The version of the remote agent. |
| `verify_ssl` | `boolean` Required. The boolean value to verify the ssl of the remote agent. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPublisher.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).